diff --git a/net/mailcommon/pkg-plist b/net/mailcommon/pkg-plist
index ebea28936ccc..523bf8409035 100644
--- a/net/mailcommon/pkg-plist
+++ b/net/mailcommon/pkg-plist
@@ -1,171 +1,172 @@
-include/KPim5/MailCommon/MailCommon/AccountConfigOrderDialog
-include/KPim5/MailCommon/MailCommon/AddTagDialog
-include/KPim5/MailCommon/MailCommon/BackupJob
-include/KPim5/MailCommon/MailCommon/CollectionExpiryPage
-include/KPim5/MailCommon/MailCommon/CollectionExpiryWidget
-include/KPim5/MailCommon/MailCommon/CollectionGeneralPage
-include/KPim5/MailCommon/MailCommon/CollectionGeneralWidget
-include/KPim5/MailCommon/MailCommon/CollectionTemplatesWidget
-include/KPim5/MailCommon/MailCommon/CollectionViewWidget
-include/KPim5/MailCommon/MailCommon/CryptoUtils
-include/KPim5/MailCommon/MailCommon/DBusOperators
-include/KPim5/MailCommon/MailCommon/ExpireCollectionAttribute
-include/KPim5/MailCommon/MailCommon/FavoriteCollectionOrderProxyModel
-include/KPim5/MailCommon/MailCommon/FavoriteCollectionWidget
-include/KPim5/MailCommon/MailCommon/FilterAction
-include/KPim5/MailCommon/MailCommon/FilterActionDict
-include/KPim5/MailCommon/MailCommon/FilterImporterAbstract
-include/KPim5/MailCommon/MailCommon/FilterImporterBalsa
-include/KPim5/MailCommon/MailCommon/FilterImporterClawsMail
-include/KPim5/MailCommon/MailCommon/FilterImporterExporter
-include/KPim5/MailCommon/MailCommon/FilterImporterPathCache
-include/KPim5/MailCommon/MailCommon/FilterLog
-include/KPim5/MailCommon/MailCommon/FilterManager
-include/KPim5/MailCommon/MailCommon/FolderCollectionMonitor
-include/KPim5/MailCommon/MailCommon/FolderJob
-include/KPim5/MailCommon/MailCommon/FolderRequester
-include/KPim5/MailCommon/MailCommon/FolderSelectionDialog
-include/KPim5/MailCommon/MailCommon/FolderSettings
-include/KPim5/MailCommon/MailCommon/FolderTreeView
-include/KPim5/MailCommon/MailCommon/FolderTreeWidget
-include/KPim5/MailCommon/MailCommon/FolderTreeWidgetProxyModel
-include/KPim5/MailCommon/MailCommon/ItemContext
-include/KPim5/MailCommon/MailCommon/JobScheduler
-include/KPim5/MailCommon/MailCommon/KMFilterDialog
-include/KPim5/MailCommon/MailCommon/MDNWarningJob
-include/KPim5/MailCommon/MailCommon/MailFilter
-include/KPim5/MailCommon/MailCommon/MailInterfaces
-include/KPim5/MailCommon/MailCommon/MailKernel
-include/KPim5/MailCommon/MailCommon/MailUtil
-include/KPim5/MailCommon/MailCommon/RedirectDialog
-include/KPim5/MailCommon/MailCommon/ResourceReadConfigFile
-include/KPim5/MailCommon/MailCommon/SearchPattern
-include/KPim5/MailCommon/MailCommon/SearchPatternEdit
-include/KPim5/MailCommon/MailCommon/SearchRule
-include/KPim5/MailCommon/MailCommon/SearchRuleStatus
-include/KPim5/MailCommon/MailCommon/SnippetTreeView
-include/KPim5/MailCommon/MailCommon/SnippetWidget
-include/KPim5/MailCommon/MailCommon/SnippetsManager
-include/KPim5/MailCommon/MailCommon/SnippetsModel
-include/KPim5/MailCommon/MailCommon/Tag
-include/KPim5/MailCommon/MailCommon/TagWidget
-include/KPim5/MailCommon/mailcommon/accountconfigorderdialog.h
-include/KPim5/MailCommon/mailcommon/addtagdialog.h
-include/KPim5/MailCommon/mailcommon/backupjob.h
-include/KPim5/MailCommon/mailcommon/collectionexpirypage.h
-include/KPim5/MailCommon/mailcommon/collectionexpirywidget.h
-include/KPim5/MailCommon/mailcommon/collectiongeneralpage.h
-include/KPim5/MailCommon/mailcommon/collectiongeneralwidget.h
-include/KPim5/MailCommon/mailcommon/collectiontemplateswidget.h
-include/KPim5/MailCommon/mailcommon/collectionviewwidget.h
-include/KPim5/MailCommon/mailcommon/cryptoutils.h
-include/KPim5/MailCommon/mailcommon/dbusoperators.h
-include/KPim5/MailCommon/mailcommon/expirecollectionattribute.h
-include/KPim5/MailCommon/mailcommon/favoritecollectionorderproxymodel.h
-include/KPim5/MailCommon/mailcommon/favoritecollectionwidget.h
-include/KPim5/MailCommon/mailcommon/filteraction.h
-include/KPim5/MailCommon/mailcommon/filteractiondict.h
-include/KPim5/MailCommon/mailcommon/filterimporterabstract.h
-include/KPim5/MailCommon/mailcommon/filterimporterbalsa.h
-include/KPim5/MailCommon/mailcommon/filterimporterclawsmail.h
-include/KPim5/MailCommon/mailcommon/filterimporterexporter.h
-include/KPim5/MailCommon/mailcommon/filterimporterpathcache.h
-include/KPim5/MailCommon/mailcommon/filterlog.h
-include/KPim5/MailCommon/mailcommon/filtermanager.h
-include/KPim5/MailCommon/mailcommon/foldercollectionmonitor.h
-include/KPim5/MailCommon/mailcommon/folderjob.h
-include/KPim5/MailCommon/mailcommon/folderrequester.h
-include/KPim5/MailCommon/mailcommon/folderselectiondialog.h
-include/KPim5/MailCommon/mailcommon/foldersettings.h
-include/KPim5/MailCommon/mailcommon/foldertreeview.h
-include/KPim5/MailCommon/mailcommon/foldertreewidget.h
-include/KPim5/MailCommon/mailcommon/foldertreewidgetproxymodel.h
-include/KPim5/MailCommon/mailcommon/itemcontext.h
-include/KPim5/MailCommon/mailcommon/jobscheduler.h
-include/KPim5/MailCommon/mailcommon/kmfilterdialog.h
-include/KPim5/MailCommon/mailcommon/mailcommon_export.h
-include/KPim5/MailCommon/mailcommon/mailcommonsettings_base.h
-include/KPim5/MailCommon/mailcommon/mailfilter.h
-include/KPim5/MailCommon/mailcommon/mailinterfaces.h
-include/KPim5/MailCommon/mailcommon/mailkernel.h
-include/KPim5/MailCommon/mailcommon/mailutil.h
-include/KPim5/MailCommon/mailcommon/mdnwarningjob.h
-include/KPim5/MailCommon/mailcommon/pop3settings.h
-include/KPim5/MailCommon/mailcommon/redirectdialog.h
-include/KPim5/MailCommon/mailcommon/resourcereadconfigfile.h
-include/KPim5/MailCommon/mailcommon/searchpattern.h
-include/KPim5/MailCommon/mailcommon/searchpatternedit.h
-include/KPim5/MailCommon/mailcommon/searchrule.h
-include/KPim5/MailCommon/mailcommon/searchrulestatus.h
-include/KPim5/MailCommon/mailcommon/snippetsmanager.h
-include/KPim5/MailCommon/mailcommon/snippetsmodel.h
-include/KPim5/MailCommon/mailcommon/snippettreeview.h
-include/KPim5/MailCommon/mailcommon/snippetwidget.h
-include/KPim5/MailCommon/mailcommon/tag.h
-include/KPim5/MailCommon/mailcommon/tagwidget.h
-include/KPim5/MailCommon/mailcommon_version.h
-lib/cmake/KF5MailCommon/KF5MailCommonConfig.cmake
-lib/cmake/KF5MailCommon/KF5MailCommonConfigVersion.cmake
-lib/cmake/KF5MailCommon/KPim5MailCommonTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5MailCommon/KPim5MailCommonTargets.cmake
-lib/cmake/KPim5MailCommon/KPim5MailCommonConfig.cmake
-lib/cmake/KPim5MailCommon/KPim5MailCommonConfigVersion.cmake
-lib/cmake/KPim5MailCommon/KPim5MailCommonTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5MailCommon/KPim5MailCommonTargets.cmake
-lib/libKPim5MailCommon.so
-lib/libKPim5MailCommon.so.5
-lib/libKPim5MailCommon.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_MailCommon.pri
-%%QT_PLUGINDIR%%/designer/mailcommon5widgets.so
-share/locale/ar/LC_MESSAGES/libmailcommon.mo
-share/locale/bg/LC_MESSAGES/libmailcommon.mo
-share/locale/bs/LC_MESSAGES/libmailcommon.mo
-share/locale/ca/LC_MESSAGES/libmailcommon.mo
-share/locale/ca@valencia/LC_MESSAGES/libmailcommon.mo
-share/locale/cs/LC_MESSAGES/libmailcommon.mo
-share/locale/da/LC_MESSAGES/libmailcommon.mo
-share/locale/de/LC_MESSAGES/libmailcommon.mo
-share/locale/el/LC_MESSAGES/libmailcommon.mo
-share/locale/en_GB/LC_MESSAGES/libmailcommon.mo
-share/locale/es/LC_MESSAGES/libmailcommon.mo
-share/locale/et/LC_MESSAGES/libmailcommon.mo
-share/locale/eu/LC_MESSAGES/libmailcommon.mo
-share/locale/fi/LC_MESSAGES/libmailcommon.mo
-share/locale/fr/LC_MESSAGES/libmailcommon.mo
-share/locale/ga/LC_MESSAGES/libmailcommon.mo
-share/locale/gl/LC_MESSAGES/libmailcommon.mo
-share/locale/hr/LC_MESSAGES/libmailcommon.mo
-share/locale/hu/LC_MESSAGES/libmailcommon.mo
-share/locale/ia/LC_MESSAGES/libmailcommon.mo
-share/locale/it/LC_MESSAGES/libmailcommon.mo
-share/locale/ja/LC_MESSAGES/libmailcommon.mo
-share/locale/ka/LC_MESSAGES/libmailcommon.mo
-share/locale/kk/LC_MESSAGES/libmailcommon.mo
-share/locale/ko/LC_MESSAGES/libmailcommon.mo
-share/locale/lt/LC_MESSAGES/libmailcommon.mo
-share/locale/mr/LC_MESSAGES/libmailcommon.mo
-share/locale/nb/LC_MESSAGES/libmailcommon.mo
-share/locale/nds/LC_MESSAGES/libmailcommon.mo
-share/locale/nl/LC_MESSAGES/libmailcommon.mo
-share/locale/nn/LC_MESSAGES/libmailcommon.mo
-share/locale/pa/LC_MESSAGES/libmailcommon.mo
-share/locale/pl/LC_MESSAGES/libmailcommon.mo
-share/locale/pt/LC_MESSAGES/libmailcommon.mo
-share/locale/pt_BR/LC_MESSAGES/libmailcommon.mo
-share/locale/ro/LC_MESSAGES/libmailcommon.mo
-share/locale/ru/LC_MESSAGES/libmailcommon.mo
-share/locale/se/LC_MESSAGES/libmailcommon.mo
-share/locale/sk/LC_MESSAGES/libmailcommon.mo
-share/locale/sl/LC_MESSAGES/libmailcommon.mo
-share/locale/sr/LC_MESSAGES/libmailcommon.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libmailcommon.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libmailcommon.mo
-share/locale/sr@latin/LC_MESSAGES/libmailcommon.mo
-share/locale/sv/LC_MESSAGES/libmailcommon.mo
-share/locale/tr/LC_MESSAGES/libmailcommon.mo
-share/locale/ug/LC_MESSAGES/libmailcommon.mo
-share/locale/uk/LC_MESSAGES/libmailcommon.mo
-share/locale/zh_CN/LC_MESSAGES/libmailcommon.mo
-share/locale/zh_TW/LC_MESSAGES/libmailcommon.mo
-share/qlogging-categories5/mailcommon.categories
-share/qlogging-categories5/mailcommon.renamecategories
+include/KPim6/MailCommon/MailCommon/AccountConfigOrderDialog
+include/KPim6/MailCommon/MailCommon/AddTagDialog
+include/KPim6/MailCommon/MailCommon/BackupJob
+include/KPim6/MailCommon/MailCommon/CollectionExpiryPage
+include/KPim6/MailCommon/MailCommon/CollectionExpiryWidget
+include/KPim6/MailCommon/MailCommon/CollectionGeneralPage
+include/KPim6/MailCommon/MailCommon/CollectionGeneralWidget
+include/KPim6/MailCommon/MailCommon/CollectionTemplatesWidget
+include/KPim6/MailCommon/MailCommon/CollectionViewWidget
+include/KPim6/MailCommon/MailCommon/CryptoUtils
+include/KPim6/MailCommon/MailCommon/DBusOperators
+include/KPim6/MailCommon/MailCommon/EntityCollectionOrderProxyModel
+include/KPim6/MailCommon/MailCommon/ExpireCollectionAttribute
+include/KPim6/MailCommon/MailCommon/FavoriteCollectionOrderProxyModel
+include/KPim6/MailCommon/MailCommon/FavoriteCollectionWidget
+include/KPim6/MailCommon/MailCommon/FilterAction
+include/KPim6/MailCommon/MailCommon/FilterActionDict
+include/KPim6/MailCommon/MailCommon/FilterImporterAbstract
+include/KPim6/MailCommon/MailCommon/FilterImporterBalsa
+include/KPim6/MailCommon/MailCommon/FilterImporterClawsMail
+include/KPim6/MailCommon/MailCommon/FilterImporterExporter
+include/KPim6/MailCommon/MailCommon/FilterImporterPathCache
+include/KPim6/MailCommon/MailCommon/FilterLog
+include/KPim6/MailCommon/MailCommon/FilterManager
+include/KPim6/MailCommon/MailCommon/FolderCollectionMonitor
+include/KPim6/MailCommon/MailCommon/FolderJob
+include/KPim6/MailCommon/MailCommon/FolderRequester
+include/KPim6/MailCommon/MailCommon/FolderSelectionDialog
+include/KPim6/MailCommon/MailCommon/FolderSettings
+include/KPim6/MailCommon/MailCommon/FolderTreeView
+include/KPim6/MailCommon/MailCommon/FolderTreeWidget
+include/KPim6/MailCommon/MailCommon/FolderTreeWidgetProxyModel
+include/KPim6/MailCommon/MailCommon/ItemContext
+include/KPim6/MailCommon/MailCommon/JobScheduler
+include/KPim6/MailCommon/MailCommon/KMFilterDialog
+include/KPim6/MailCommon/MailCommon/MDNWarningJob
+include/KPim6/MailCommon/MailCommon/MailFilter
+include/KPim6/MailCommon/MailCommon/MailInterfaces
+include/KPim6/MailCommon/MailCommon/MailKernel
+include/KPim6/MailCommon/MailCommon/MailUtil
+include/KPim6/MailCommon/MailCommon/RedirectDialog
+include/KPim6/MailCommon/MailCommon/ResourceReadConfigFile
+include/KPim6/MailCommon/MailCommon/SearchPattern
+include/KPim6/MailCommon/MailCommon/SearchPatternEdit
+include/KPim6/MailCommon/MailCommon/SearchRule
+include/KPim6/MailCommon/MailCommon/SearchRuleStatus
+include/KPim6/MailCommon/MailCommon/SnippetTreeView
+include/KPim6/MailCommon/MailCommon/SnippetWidget
+include/KPim6/MailCommon/MailCommon/SnippetsManager
+include/KPim6/MailCommon/MailCommon/SnippetsModel
+include/KPim6/MailCommon/MailCommon/Tag
+include/KPim6/MailCommon/MailCommon/TagWidget
+include/KPim6/MailCommon/mailcommon/accountconfigorderdialog.h
+include/KPim6/MailCommon/mailcommon/addtagdialog.h
+include/KPim6/MailCommon/mailcommon/backupjob.h
+include/KPim6/MailCommon/mailcommon/collectionexpirypage.h
+include/KPim6/MailCommon/mailcommon/collectionexpirywidget.h
+include/KPim6/MailCommon/mailcommon/collectiongeneralpage.h
+include/KPim6/MailCommon/mailcommon/collectiongeneralwidget.h
+include/KPim6/MailCommon/mailcommon/collectiontemplateswidget.h
+include/KPim6/MailCommon/mailcommon/collectionviewwidget.h
+include/KPim6/MailCommon/mailcommon/config-mailcommon.h
+include/KPim6/MailCommon/mailcommon/cryptoutils.h
+include/KPim6/MailCommon/mailcommon/dbusoperators.h
+include/KPim6/MailCommon/mailcommon/entitycollectionorderproxymodel.h
+include/KPim6/MailCommon/mailcommon/expirecollectionattribute.h
+include/KPim6/MailCommon/mailcommon/favoritecollectionorderproxymodel.h
+include/KPim6/MailCommon/mailcommon/favoritecollectionwidget.h
+include/KPim6/MailCommon/mailcommon/filteraction.h
+include/KPim6/MailCommon/mailcommon/filteractiondict.h
+include/KPim6/MailCommon/mailcommon/filterimporterabstract.h
+include/KPim6/MailCommon/mailcommon/filterimporterbalsa.h
+include/KPim6/MailCommon/mailcommon/filterimporterclawsmail.h
+include/KPim6/MailCommon/mailcommon/filterimporterexporter.h
+include/KPim6/MailCommon/mailcommon/filterimporterpathcache.h
+include/KPim6/MailCommon/mailcommon/filterlog.h
+include/KPim6/MailCommon/mailcommon/filtermanager.h
+include/KPim6/MailCommon/mailcommon/foldercollectionmonitor.h
+include/KPim6/MailCommon/mailcommon/folderjob.h
+include/KPim6/MailCommon/mailcommon/folderrequester.h
+include/KPim6/MailCommon/mailcommon/folderselectiondialog.h
+include/KPim6/MailCommon/mailcommon/foldersettings.h
+include/KPim6/MailCommon/mailcommon/foldertreeview.h
+include/KPim6/MailCommon/mailcommon/foldertreewidget.h
+include/KPim6/MailCommon/mailcommon/foldertreewidgetproxymodel.h
+include/KPim6/MailCommon/mailcommon/itemcontext.h
+include/KPim6/MailCommon/mailcommon/jobscheduler.h
+include/KPim6/MailCommon/mailcommon/kmfilterdialog.h
+include/KPim6/MailCommon/mailcommon/mailcommon_export.h
+include/KPim6/MailCommon/mailcommon/mailcommonsettings_base.h
+include/KPim6/MailCommon/mailcommon/mailfilter.h
+include/KPim6/MailCommon/mailcommon/mailinterfaces.h
+include/KPim6/MailCommon/mailcommon/mailkernel.h
+include/KPim6/MailCommon/mailcommon/mailutil.h
+include/KPim6/MailCommon/mailcommon/mdnwarningjob.h
+include/KPim6/MailCommon/mailcommon/pop3settings.h
+include/KPim6/MailCommon/mailcommon/redirectdialog.h
+include/KPim6/MailCommon/mailcommon/resourcereadconfigfile.h
+include/KPim6/MailCommon/mailcommon/searchpattern.h
+include/KPim6/MailCommon/mailcommon/searchpatternedit.h
+include/KPim6/MailCommon/mailcommon/searchrule.h
+include/KPim6/MailCommon/mailcommon/searchrulestatus.h
+include/KPim6/MailCommon/mailcommon/snippetsmanager.h
+include/KPim6/MailCommon/mailcommon/snippetsmodel.h
+include/KPim6/MailCommon/mailcommon/snippettreeview.h
+include/KPim6/MailCommon/mailcommon/snippetwidget.h
+include/KPim6/MailCommon/mailcommon/tag.h
+include/KPim6/MailCommon/mailcommon/tagwidget.h
+include/KPim6/MailCommon/mailcommon_version.h
+lib/cmake/KPim6MailCommon/KPim6MailCommonConfig.cmake
+lib/cmake/KPim6MailCommon/KPim6MailCommonConfigVersion.cmake
+lib/cmake/KPim6MailCommon/KPim6MailCommonTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6MailCommon/KPim6MailCommonTargets.cmake
+lib/libKPim6MailCommon.so
+lib/libKPim6MailCommon.so.6
+lib/libKPim6MailCommon.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/designer/mailcommon6widgets.so
+share/locale/ar/LC_MESSAGES/libmailcommon6.mo
+share/locale/ast/LC_MESSAGES/libmailcommon6.mo
+share/locale/bg/LC_MESSAGES/libmailcommon6.mo
+share/locale/bs/LC_MESSAGES/libmailcommon6.mo
+share/locale/ca/LC_MESSAGES/libmailcommon6.mo
+share/locale/ca@valencia/LC_MESSAGES/libmailcommon6.mo
+share/locale/cs/LC_MESSAGES/libmailcommon6.mo
+share/locale/da/LC_MESSAGES/libmailcommon6.mo
+share/locale/de/LC_MESSAGES/libmailcommon6.mo
+share/locale/el/LC_MESSAGES/libmailcommon6.mo
+share/locale/en_GB/LC_MESSAGES/libmailcommon6.mo
+share/locale/eo/LC_MESSAGES/libmailcommon6.mo
+share/locale/es/LC_MESSAGES/libmailcommon6.mo
+share/locale/et/LC_MESSAGES/libmailcommon6.mo
+share/locale/eu/LC_MESSAGES/libmailcommon6.mo
+share/locale/fi/LC_MESSAGES/libmailcommon6.mo
+share/locale/fr/LC_MESSAGES/libmailcommon6.mo
+share/locale/ga/LC_MESSAGES/libmailcommon6.mo
+share/locale/gl/LC_MESSAGES/libmailcommon6.mo
+share/locale/hr/LC_MESSAGES/libmailcommon6.mo
+share/locale/hu/LC_MESSAGES/libmailcommon6.mo
+share/locale/ia/LC_MESSAGES/libmailcommon6.mo
+share/locale/it/LC_MESSAGES/libmailcommon6.mo
+share/locale/ja/LC_MESSAGES/libmailcommon6.mo
+share/locale/ka/LC_MESSAGES/libmailcommon6.mo
+share/locale/kk/LC_MESSAGES/libmailcommon6.mo
+share/locale/ko/LC_MESSAGES/libmailcommon6.mo
+share/locale/lt/LC_MESSAGES/libmailcommon6.mo
+share/locale/mr/LC_MESSAGES/libmailcommon6.mo
+share/locale/nb/LC_MESSAGES/libmailcommon6.mo
+share/locale/nds/LC_MESSAGES/libmailcommon6.mo
+share/locale/nl/LC_MESSAGES/libmailcommon6.mo
+share/locale/nn/LC_MESSAGES/libmailcommon6.mo
+share/locale/pa/LC_MESSAGES/libmailcommon6.mo
+share/locale/pl/LC_MESSAGES/libmailcommon6.mo
+share/locale/pt/LC_MESSAGES/libmailcommon6.mo
+share/locale/pt_BR/LC_MESSAGES/libmailcommon6.mo
+share/locale/ro/LC_MESSAGES/libmailcommon6.mo
+share/locale/ru/LC_MESSAGES/libmailcommon6.mo
+share/locale/se/LC_MESSAGES/libmailcommon6.mo
+share/locale/sk/LC_MESSAGES/libmailcommon6.mo
+share/locale/sl/LC_MESSAGES/libmailcommon6.mo
+share/locale/sr/LC_MESSAGES/libmailcommon6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libmailcommon6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libmailcommon6.mo
+share/locale/sr@latin/LC_MESSAGES/libmailcommon6.mo
+share/locale/sv/LC_MESSAGES/libmailcommon6.mo
+share/locale/ta/LC_MESSAGES/libmailcommon6.mo
+share/locale/tr/LC_MESSAGES/libmailcommon6.mo
+share/locale/ug/LC_MESSAGES/libmailcommon6.mo
+share/locale/uk/LC_MESSAGES/libmailcommon6.mo
+share/locale/zh_CN/LC_MESSAGES/libmailcommon6.mo
+share/locale/zh_TW/LC_MESSAGES/libmailcommon6.mo
+share/qlogging-categories6/mailcommon.categories
+share/qlogging-categories6/mailcommon.renamecategories
diff --git a/net/mailimporter/Makefile b/net/mailimporter/Makefile
index 04b34069b736..646f8fd41878 100644
--- a/net/mailimporter/Makefile
+++ b/net/mailimporter/Makefile
@@ -10,14 +10,13 @@ LICENSE=	LGPL21
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth archive codecs config configwidgets coreaddons i18n itemmodels \
-		kio service widgetsaddons \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	archive auth codecs config configwidgets coreaddons i18n \
+		itemmodels kio service widgetsaddons \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadimime libkdepim mime pimcommon pimtextedit
-USE_QT=		concurrent core dbus gui network uitools widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/mailimporter/distinfo b/net/mailimporter/distinfo
index bd6380fc9986..d990199f1171 100644
--- a/net/mailimporter/distinfo
+++ b/net/mailimporter/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889470
-SHA256 (KDE/release-service/23.08.5/mailimporter-23.08.5.tar.xz) = 94972bdd03c9707cb5b3638c12b1c9c9c149762d6984ab8d0de29ba78ee0535a
-SIZE (KDE/release-service/23.08.5/mailimporter-23.08.5.tar.xz) = 593380
+TIMESTAMP = 1734460337
+SHA256 (KDE/release-service/24.12.0/mailimporter-24.12.0.tar.xz) = 98ef8275a3ebbd2a23daeb8611de6eb771c8f650d230ca37176f18c30f001993
+SIZE (KDE/release-service/24.12.0/mailimporter-24.12.0.tar.xz) = 596632
